Skip to content

After submitting a request, you can query your Vault to determine the status of the request. To do this, you must have a valid job_id for a job previously requested through the API.

Example Jobs:

  • Binder Export
  • Import Submission
  • Export Submission
  • Create EDL
  • Deploy Package
  • Deep Copy Object Record
  • Cascade Delete Object Record
  • Export Documents
GET/api/{version}/services/jobs/{job_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{job_id}The ID of the job, returned from the original job request.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/services/jobs/1201
{ "responseStatus": "SUCCESS", "responseMessage": "OK", "data": { "id": 1201, "status": "SUCCESS", "method": "POST", "links": [ { "rel": "self", "href": "/api/v26.1/services/jobs/1601", "method": "GET", "accept": "application/json" } ], "created_by": 44533, "created_date": "2016-04-20T18:14:42.000Z", "run_start_date": "2016-04-20T18:14:43.000Z", "run_end_date": "2016-04-20T18:14:44.000Z" } }

On SUCCESS, the response includes the following information. All DateTime values for scheduled jobs are in the Vault time zone for the currently authenticated user. Learn more about the Vault time zone in Vault Help.

Metadata FieldDescription
idThe job_id field value for the job.
statusThe status of the job. Possible statuses include SCHEDULED, QUEUED, RUNNING, SUCCESS, ERRORS_ENCOUNTERED, QUEUEING, CANCELLED, TIMEOUT, COMPLETED_DUE_TO_INACTIVITY, and MISSED_SCHEDULE. Learn more about job statuses in Vault Help.
methodThe HTTP method used in the request.
linksOnce the job is finished, use these endpoints and methods to retrieve other job details. Note that for Controlled Copy jobs, the artifacts link will only work with API v18.3+.
progressIf the retrieved job is a custom job created with the Vault Java SDK, this array contains a summary of the number of job tasks (size) and their status.
created_byThe id field value of the user who started the job.
created_dateThe date and time when the job was requested.
run_start_dateThe date and time when the export job started.
run_end_dateThe date and time when the export job finished.